org.richfaces.renderkit.html

## Class ContextMenuRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.ContextMenuRendererBase
      - - org.richfaces.renderkit.html.ContextMenuRenderer

-     public class ContextMenuRenderer
      extends ContextMenuRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.ContextMenuRendererBase

      `DEFAULT_MIN_POPUP_WIDTH, DEFAULT_SHOWEVENT, RENDERER_TYPE, RENDERER_UTILS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.renderkit.html.ContextMenuRendererBase

      `getDirection, getJointPoint, getMenuGroups, getMode, getPopupWidth, getShowEvent, getTarget, isDisabled, renderChildren`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextMenuRenderer

          public ContextMenuRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Overrides:
        `doEncodeEnd` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.